%define hirapropver	0.3
%define kokanaver	1.0b2
%define otfver		1.2.9

%define texmf		%{_datadir}/texmf
%define texvf		%{texmf}/fonts/vf/public
%define texofm		%{texmf}/fonts/ofm/public
%define textfm		%{texmf}/fonts/tfm/public
%define mapdir		%{texmf}/fonts/map/dvipdfm
%define build_texmf	%{buildroot}%{texmf}
%define build_texvf	%{buildroot}%{texvf}
%define build_texofm	%{buildroot}%{texofm}
%define build_textfm	%{buildroot}%{textfm}
%define build_mapdir	%{buildroot}%{mapdir}
%define dvipdfmconfig	%{texmf}/dvipdfm/config

%define exec_updmap	[ -x %{_bindir}/updmap-sys ] && %{_bindir}/env - %{_bindir}/updmap-sys --nostop 2> /dev/null
%define exec_updmap_otf	[ -x %{_bindir}/updmap-otf ] && %{_bindir}/env - %{_bindir}/updmap-otf auto 2> /dev/null

Summary: teTeX macro packages for "VF for OpenType Fonts" by S. Saito
Summary(ja): tetex で使うマクロパッケージ (齋藤修三郎氏による「OpenType Font用VF」)
Name: texmacro-otf
Version: %{otfver}
Release: 3%{?_dist_release}
BuildArch: noarch
#Source0: http://psitau.at.infoseek.co.jp/otfstable.zip
Source0: otfstable-%{version}.tar.bz2
#Source1: http://psitau.at.infoseek.co.jp/hiraprop.zip
Source1: hiraprop-%{hirapropver}.tar.bz2
#Source2: http://psitau.at.infoseek.co.jp/kokana.zip
Source2: kokana-%{kokanaver}.tar.bz2
Source3: http://psitau.at.infoseek.co.jp/otfmanual.pdf
Source4: http://psitau.at.infoseek.co.jp/kitunetuki.pdf
Source5: http://psitau.at.infoseek.co.jp/meijinden.pdf
Source10: updmap-otf
Source20: otf-noEmbed.map
Source21: otf-cktx.map

Patch1: texmacro-otf-RmlGbm.patch

URL: http://psitau.at.infoseek.co.jp/otf.html
License: distributable
Group:  Applications/Publishing
BuildPrereq: tetex-extra >= 3.0
BuildRequires: perl, nkf
Requires: task-tetex, ghostscript
Conflicts: tetex <= 2.0.2
Buildroot: %{_tmppath}/%{name}-root

Distribution: Vine Linux
Vendor: Project Vine

%description
teTeX macro packages of VF for OpenType Fonts by SAITO Shuzaburo
Users can use these macros on platex.
Including
	hiraprop.sty ajmacros.sty mlcid.sty mlutf.sty otf.sty
	otfaltkana.sty redeffont.sty

%description -l ja
齋藤修三郎氏作成の tetex で用いる追加マクロパッケージです。
LaTeX(pLaTeX2e)でOpen Type Fontを有効に利用するための VF およびスタイルファイルです。
platex 上で利用できます。
以下のマクロが含まれています。
	hiraprop.sty ajmacros.sty mlcid.sty mlutf.sty otf.sty
	otfaltkana.sty redeffont.sty

%prep
%setup -q -c -n %{name}-%{version} -a 1 -a 2

#for i in `grep -l -ir ovp2ovf * | grep -v readme`;
#do
#	perl -pi -e "s@ovp2ovf@ovp2ovf-1.11@" $i
#done

%build

###### otfstable #####
pushd otfstable-%{version}
./makeotf
popd

###### kokana #####
pushd kokana-%{kokanaver}
nkf -be basepl/base-h.pl > base-h.pl
nkf -be basepl/base-v.pl > base-v.pl
mv -f base-[hv].pl basepl
./makealtkana
popd

%install
rm -rf %{buildroot}

mkdir fontmap test pdf
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{build_texmf}/ptex/platex/otf
mkdir -p %{build_texmf}-var/updmap-otf
mkdir -p %{build_texvf}/otf
mkdir -p %{build_textfm}/otf
mkdir -p %{build_mapdir}

install -m 644 %{SOURCE3} %{SOURCE4} %{SOURCE5} pdf
install -m 755 %{SOURCE10} %{buildroot}%{_bindir}/updmap-otf

### set prefix dir ###
perl -pi -e "s@/usr/local@/usr@" %{buildroot}%{_bindir}/updmap-otf

###### otfstable #####
pushd otfstable-%{version}
install -m 644 sty/*.sty %{build_texmf}/ptex/platex/otf
install -m 644 vf/* %{build_texvf}/otf
install -m 644 tfm/* %{build_textfm}/otf

#install -m 644 fontmap/cktx.map* %{build_mapdir}/otf-cktx.map
#install -m 644 fontmap/hiraginox.map* %{build_mapdir}/otf-hiraginox.map
sed -e 's/W.$/&.otf/g' fontmap/hiraginox.map* > %{build_mapdir}/otf-hiraginox.map
install -m 644 fontmap/kozukax.map* %{build_mapdir}/otf-kozukax.map
install -m 644 fontmap/morisawax.map* %{build_mapdir}/otf-morisawax.map

## morisawa map files remaped PS Kanji (CIDFont) Name
sed -e 's@A-OTF-@@g' %{build_mapdir}/otf-morisawax.map > %{build_mapdir}/otf-ps-morisawax.map
sed -e 's@A-OTF-@!@g' %{build_mapdir}/otf-morisawax.map > %{build_mapdir}/otf-ps-morisawax-noEmbed.map

# Install our own noFont map 
install -m 644 %{SOURCE20}  %{build_mapdir}
install -m 644 %{SOURCE21}  %{build_mapdir}

pushd %{build_mapdir}
patch -p1 < %{PATCH1}
popd

install -m 644 fontmap/vfontmap.txt ../fontmap

install -m 644 test/*.tex ../test
install -m 644 readme.txt ../readme-otfstable.txt
popd

###### hiraprop #####
mkdir -p %{build_texmf}/ptex/platex/hiraprop
mkdir -p %{build_texvf}/hiraprop
mkdir -p %{build_texofm}/hiraprop
mkdir -p %{build_textfm}/hiraprop

pushd hiraprop-%{hirapropver}
install -m 644 sty/* %{build_texmf}/ptex/platex/hiraprop
install -m 644 vf/hiraprop/* %{build_texvf}/hiraprop
install -m 644 ofm/hiraprop/* %{build_texofm}/hiraprop
install -m 644 tfm/hiraprop/* %{build_textfm}/hiraprop

install -m 644 *.tex ../test
install -m 644 readme.txt ../readme-hiraprop.txt
popd

###### kokana #####
pushd kokana-%{kokanaver}
install -m 644 otfaltkana.sty %{build_texmf}/ptex/platex/otf
install -m 644 vf/* %{build_texvf}/otf
install -m 644 tfm/* %{build_textfm}/otf

install -m 644 sample/kokanatest.tex ../test
install -m 644 readme.txt ../readme-kokana.txt
popd


%post
%{exec_updmap}
%{exec_updmap_otf}
exit 0

%postun
if [ "$1" = 0 ]; then
	rm -rf %{texmf}-var/updmap-otf
	%{exec_updmap}
fi
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme* fontmap test pdf
%dir %{texmf}-var/updmap-otf
%{_bindir}/updmap-otf
%{texmf}/ptex/platex/otf
%{texmf}/ptex/platex/hiraprop
%{texvf}
%{textfm}
%{texofm}
%{mapdir}

%changelog 
* Fri May 15 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.9-3
- added otf-ps-morisawax{-noEmbed}.map

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.9-2
- spec in utf8

* Tue Aug 05 2008 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.9-1
- applied new versioning policy

* Sun Apr 07 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.9-0vl1
- new upstream release

* Sat May 27 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.7.1-0vl2
- updmap-otf v0.9: use noEmbed.map instead of noEmbeddedFont.map

* Fri May 12 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.7.1-0vl1
- resync with ptetex3-20060506

* Sun Nov 06 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.7-0vl3
- resync with ptetex3-20051102

* Wed Aug 31 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.7-0vl2
- resync with ptetex3-20050830

* Sat Jun 18 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.7-0vl1
- source update
- modified for teTeX3

* Thu Feb 03 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.6-0vl1
- source update

* Thu Jan 20 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.5-0vl1
- source update

* Sun Nov 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl5
- updmap-0.7

* Mon Oct 18 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl4
- updmap-0.6

* Mon Oct 11 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl3
- updmap-0.5

* Thu Sep 30 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl2
- fixed updmap

* Thu Sep 30 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl1
- source update
- updmap-0.4

* Thu Apr 08 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl4
- update updmap-otf: take over before setting in "auto" target
- remove requires texmacro-sfujita

* Sat Apr 03 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl3
- fix postun

* Fri Apr 02 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl2
- drop extrafonts and added hiraprop
- update updmap-otf and *-udvips.map

* Sun Mar 28 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl1
- source update
- added updmap-otf

* Wed Feb 04 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.9-0vl1
- first release
